apiVersion: v1
kind: Template
labels:
  app: mysqlexporter
  template: mysqlexporter-buildconfig-with-secret
metadata:
  annotations:
    description: MySQL Exporter - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: MySQL Exporter
    tags: mysqlexporter
  name: mysqlexporter-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-mysqlexporter-${MYSQL_EXPORTER_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds MySQL Exporter images
    labels:
      name: mysqlexporter-${MYSQL_EXPORTER_REPOSITORY_REF}
    name: mysqlexporter-${MYSQL_EXPORTER_REPOSITORY_REF}
  spec:
    resources:
      limits:
        cpu: 300m
        memory: 768Mi
    source:
      contextDir: /
      git:
        uri: ${MYSQL_EXPORTER_REPOSITORY_URL}
        ref: "${MYSQL_EXPORTER_REPOSITORY_REF}"
      sourceSecret:
        name: git-mysqlexporter-${MYSQL_EXPORTER_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: mysqlexporter:${MYSQL_EXPORTER_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: MYSQL_EXPORTER_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  value: master
- name: MYSQL_EXPORTER_REPOSITORY_URL
  description: The URL of the repository with your MySQL exporter Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-mysqlexporter.git
